TimeZone Class
Defines the data and time of one or more geographic locations.
Variables are only populated by the server, and will be ignored when sending a request.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
azure.cognitiveservices.search.websearch.models._models_py3.SearchResultsAnswerTimeZone
Constructor
TimeZone(*, primary_city_time, **kwargs)
Parameters
- primary_city_time
- TimeZoneTimeZoneInformation
Required. The data and time, in UTC, of the geographic location specified in the query. If the query specified a specific geographic location (for example, a city), this object contains the name of the geographic location and the current date and time of the location, in UTC. If the query specified a general geographic location, such as a state or country, this object contains the date and time of the primary city or state found in the specified state or country. If the location contains additional time zones, the otherCityTimes field contains the data and time of cities or states located in the other time zones.
Variables
- id
- str
A String identifier.
- web_search_url
- str
The URL To Bing's search result for this item.
- query_context
- QueryContext
- total_estimated_matches
- <xref:long>
The estimated number of webpages that are relevant to the query. Use this number along with the count and offset query parameters to page the results.
- is_family_friendly
- bool
- other_city_times
- list[TimeZoneTimeZoneInformation]
A list of dates and times of nearby time zones.
Feedback
Submit and view feedback for